%define rhino_version 1_7R2

Name:          yuicompressor
Version:       2.4.6
Release:       %mkrel 3
Summary:       JavaScript/CSS minifier
Group:         Development/Java
License:       BSD
Url:           http://yuilibrary.com/projects/yuicompressor/
Source0:       http://yui.zenfs.com/releases/yuicompressor/yuicompressor-2.4.6.zip

#Source1:       ftp://ftp.mozilla.org/pub/mozilla.org/js/rhino%{rhino_version}.zip
# rm -rf rhino1_7R2/LICENSE.txt
# rm -rf rhino1_7R2/apiClasses.properties
# rm -rf rhino1_7R2/build-date
# rm -rf rhino1_7R2/build.properties
# rm -rf rhino1_7R2/build.xml
# rm -rf rhino1_7R2/deprecatedsrc
# rm -rf rhino1_7R2/examples
# rm -rf rhino1_7R2/javadoc
# rm -rf rhino1_7R2/js-14.jar
# rm -rf rhino1_7R2/js.jar
# rm -rf rhino1_7R2/src/build.xml
# rm -rf rhino1_7R2/src/manifest
# rm -rf rhino1_7R2/testsrc
# rm -rf rhino1_7R2/toolsrc
# rm -rf rhino1_7R2/xmlimplsrc

Source1:       rhino%{rhino_version}-source.tar.gz

Source2:       yuicompressor-script
Source3:       yuicompressor.1
Source4:       http://maven.glassfish.org/content/groups/glassfish/com/yahoo/platform/yui/yuicompressor/2.4.6/yuicompressor-2.4.6.pom
Patch0:        yuicompressor-2.4.6-test-suite_sh.patch
Patch1:        yuicompressor-2.4.6-use-system-libraries.patch
Patch2:        yuicompressor-2.4.6-rhino1_7R2-Decompiler.patch
Patch3:        yuicompressor-2.4.6-rhino1_7R2-Parser.patch
Patch4:        yuicompressor-2.4.6-rhino1_7R2-Token.patch
Patch5:        yuicompressor-2.4.6-rhino1_7R2-TokenStream.patch

BuildRequires: java-devel >= 0:1.5.0 
BuildRequires: jpackage-utils

BuildRequires: ant
BuildRequires: jargs

BuildRequires: junit
BuildRequires: rhino

Requires:      jargs
Requires:      java
Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
BuildArch:     noarch

%description
The YUI Compressor is a JavaScript compressor which, in addition to removing
comments and white-spaces, obfuscates local variables using the smallest
possible variable name. This obfuscation is safe, even when using constructs
such as 'eval' or 'with' (although the compression is not optimal is those
cases) Compared to jsmin, the average savings is around 20%.
.
The YUI Compressor is also able to safely compress CSS files. The decision
on which compressor is being used is made on the file extension (js or css).

%package javadoc
Summary:          Javadocs for %{name}
Group:            Development/Java
Requires:         jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n yuicompressor-%{version}

for j in $(find . -name "*.jar" -o -name "*.class"); do
  rm -rf $j
done

rm -rf src/org/mozilla/javascript/*
tar -xf %{SOURCE1}

%patch0 -p0
%patch1 -p0
%patch2 -p0
%patch3 -p0
%patch4 -p0
%patch5 -p0
sed -i "s|1.4|1.5|" build.xml

%build

export CLASSPATH=$(build-classpath junit)
ant build.jar

(cd tests; sh ./suite.sh)

rm -rf src/org
CLASSPATH=$(build-classpath jargs rhino)
%javadoc -d javadoc \
  -encoding iso-8859-1 \
  -public \
  `find src -name \*.java`

%install
mkdir -p %{buildroot}%{_javadir}
install -m 644 build/%{name}-%{version}.jar \
  %{buildroot}%{_javadir}/%{name}.jar

ln -sf %{name}.jar %{buildroot}%{_javadir}/yui-compressor.jar

mkdir -p %{buildroot}%{_bindir}
install -m 755 %{SOURCE2} %{buildroot}%{_bindir}/%{name}

mkdir -p %{buildroot}%{_mandir}/man1
install -m 755 %{SOURCE3} %{buildroot}%{_mandir}/man1/

mkdir -p %{buildroot}%{_javadocdir}
cp -pr javadoc %{buildroot}%{_javadocdir}/yuicompressor

# todo add rhino pom
#install -d -m 755 %{buildroot}%{_mavenpomdir}
#install -pm 644 %{SOURCE4} %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
#dd_maven_depmap JPP-%{name}.pom %{name}.jar

%files
%attr(0755,root,root) %{_bindir}/yuicompressor
%{_javadir}/yuicompressor.jar
%{_javadir}/yui-compressor.jar
%{_mandir}/man1/yuicompressor.1.xz
#%{_mavenpomdir}/*
#%{_mavendepmapfragdir}/*
%doc LICENSE.TXT doc/*

%files javadoc
%{_javadocdir}/yuicompressor


%changelog
* Fri Oct 18 2013 umeabot <umeabot> 2.4.6-3.mga4
+ Revision: 520873
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 2.4.6-2.mga3
+ Revision: 387634
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Oct 20 2011 gil <gil> 2.4.6-1.mga2
+ Revision: 156780
- imported package yuicompressor

